package com.storlead.sales.service.systemrule;

import com.storlead.framework.common.result.Result;
import com.storlead.sales.enums.ResourceTypeEnum;
import com.storlead.sales.pojo.entity.systemrule.ApproveEntity;
import com.storlead.framework.mybatis.service.MyBaseService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author YPZ
 * @since 2024-07-26
 */
public interface ApproveService extends MyBaseService<ApproveEntity> {

    Result submitApprove(ApproveEntity approve);

    //审核
    Result approveApprove(ApproveEntity approve);

//    Result listApproveByUserId(ApproveEntity approve);
//
//    List<ApproveEntity> listApproveByUserId(ApproveEntity approve, Long userId);

    String selectApproveStatus(ResourceTypeEnum approveType, Integer dataYear, Integer dataMonth);

    boolean isApprove(int year, int month);

    boolean isApprove(int year, int month,ResourceTypeEnum approveType);

    Result approveApproveBak( ApproveEntity approve);

    boolean isApprove(int year, int month, Long subCompanyId, ResourceTypeEnum approveType);

    boolean isApprove(int year, int month, Long subCompanyId, String approveType);

    boolean isChangeSalaryApprove(int year, int month,String userId);

//    boolean hasSubComcanyUserApprove(int year, int month, Long subCompanyId);

    boolean userChangeHasApproved(int year, int month, Long userId);
}
